import { DefaultTheme } from 'styled-components';
interface ThemeColors {
    primary: string;
    secondary: string;
    warning: string;
    danger: string;
    blue: string;
    tomato: string;
    purple: string;
}
interface ThemeButtonVariant {
    color: string;
    backgroundColor: string;
}
interface ThemeButtons {
    primary?: ThemeButtonVariant;
    secondary?: ThemeButtonVariant;
    danger?: ThemeButtonVariant;
}
interface ThemedButtonsSizes {
    small?: Record<string, unknown>;
    medium?: Record<string, unknown>;
    large?: Record<string, unknown>;
}
interface CustomTheme {
    name?: string;
    buttons?: ThemeButtons;
    buttonSizes?: ThemedButtonsSizes;
}
declare module 'styled-components' {
    interface DefaultTheme extends CustomTheme {
        colors: ThemeColors;
        fonts: Array<string>;
        space: Array<number>;
        fontSizes: Array<number>;
        radii: Array<number>;
    }
}
export declare const baseTheme: DefaultTheme;
export declare const lightTheme: DefaultTheme;
export declare const darkTheme: DefaultTheme;
export {};
